PWCK(8)

NAME
pwck - überprüft die Stimmigkeit der Passwortdateien

ÜBERSICHT

pwck [Optionen] [passwd [ shadow ]]

BESCHREIBUNG

Der Befehl pwck überprüft die Stimmigkeit der Benutzer- und Authentifizierungsdaten. Alle Einträge in /etc/passwd und /etc/shadow werden darauf überprüft, ob der Eintrag das richtige Format hat und gültige Daten enthält. Der Benutzer wird aufgefordert, Einträge zu löschen, die falsch formatiert sind oder andere unbehebbare Fehler enthalten.

Es wird überprüft, ob jeder Eintrag folgende Eigenschaften aufweist:

    • die richtige Anzahl von Feldern

    • einen eindeutigen und gültigen Benutzernamen

    • eine gültige Benutzer- und Gruppenkennung

    • eine gültige Hauptgruppe

    • ein gültiges Home-Verzeichnis

    • eine gültige Anmelde-Shell

Eine Überprüfung von shadow findet statt, wenn ein zweiter Parameter angegeben wird oder auf dem System /etc/shadow existiert.

Diese Tests umfassen Folgendes:

    • ob jedem Eintrag in passwd ein Eintrag in shadow entspricht und umgekehrt

    • ob die Passwörter in der Shadow-Datei niedergelegt sind

    • ob die shadow-Einträge die richtige Anzahl von Feldern haben

    • ob die Shadow-Einträge in shadow eindeutig sind

    • dass das Datum der letzten Passwortänderung nicht in der Zukunft liegt

Fehler bei der Überprüfung der richtigen Anzahl der Felder und des eindeutigen Benutzernames sind schwerwiegend. Wenn ein Eintrag die falsche Anzahl von Feldern ausweist, wird der Benutzer aufgefordert, die gesamte Zeile zu löschen. Wenn dies der Benutzer ablehnt, werden alle weiteren Tests ausgelassen. Bei einem Eintrag mit einem mehrfach verwendeten Benutzernamen wird der Benutzer aufgefordert, diesen Eintrag zu löschen. Sollte er dies ablehnen, werden dennoch die übrigen Test ausgeführt. Bei allen anderen Fehlern wird eine Warnung abgegeben und der Benutzer aufgefordert, den Fehler mittels des Befehls usermod zu beheben.

Die Befehle, welche die Datei /etc/passwd bearbeiten, können falsche oder doppelte Einträge nicht verändern. In solchen Fällen sollte pwck verwendet werden, um den betreffenden Eintrag zu entfernen.

OPTIONEN

Die Optionen -r und -s können nicht zusammen verwendet werden.

Die Optionen, die vom Befehl pwck unterstützt werden, sind:

-h, --help
    zeigt die Hilfe an und beendet das Programm

-q, --quiet
    meldet nur Fehler. Warnungen, die keine Handlung des Benutzers erfordern, werden nicht angezeigt

-r, --read-only
    führt den Befehl pwck im Modus Nur-Lesen aus

-R, --rootCHROOT_VERZ
    führt die Veränderungen in dem Verzeichnis CHROOT_VERZ durch und verwendet die Konfigurationsdateien aus dem Verzeichnis CHROOT_VERZ

-s, --sort
    ordnet die Einträge in /etc/passwd und /etc/shadow nach der UID

Standardmäßig bearbeitet pwck die Dateien /etc/passwd und /etc/shadow. Der Benutzer kann andere Dateien mit den Parametern passwd und shadow auswählen.

KONFIGURATION

Die folgenden Konfigurationsvariablen in /etc/login.defs beeinflussen das Verhalten dieses Werkzeugs:

PASS_MAX_DAYS (Zahl)
    Die maximale Anzahl von Tagen, für die ein Passwort verwendet werden darf. Wenn das Passwort älter ist, wird ein Wechsel des Passworts erzwungen. Falls nicht angegeben, wird -1 angenommen (was zur Folge hat, dass diese Beschränkung abgeschaltet ist).

PASS_MIN_DAYS (Zahl)
    Die Mindestanzahl von Tagen, bevor ein Wechsel des Passworts zugelassen wird. Ein vorheriger Versuch, das Passwort zu ändern, wird abgelehnt. Falls nicht angegeben, wird -1 angenommen (was zur Folge hat, dass diese Beschränkung abgeschaltet ist).

PASS_WARN_AGE (Zahl)
    Die Anzahl von Tagen, an denen der Benutzer vorgewarnt wird, bevor das Passwort verfällt. Eine Null bedeutet, dass eine Warnung nur am Tag des Verfalls ausgegeben wird. Ein negativer Wert bedeutet, dass keine Vorwarnung erfolgt. Falls nicht angegeben, wird keine Vorwarnung ausgegeben.

DATEIEN

/etc/group
    Informationen zu den Gruppenkonten

/etc/passwd
    Informationen zu den Benutzerkonten

/etc/shadow
    verschlüsselte Informationen zu den Benutzerkonten

RÜCKGABEWERTE

Der Befehl pwck gibt beim Beenden folgende Werte zurück:

0
    Erfolg

1
    unzulässige Syntax für diesen Befehl

2
    ein oder mehrere fehlerhafte Passworteinträge

3
    Die Passwortdatei kann nicht geöffnet werden.

4
    Die Passwortdatei kann nicht gesperret werden.

5
    Die Passwortdatei kann nicht aktualisieren werden.

6
    Die Passwortdatei kann nicht sortieren werden.

SIEHE AUCH

group(5), grpck(8), passwd(5), shadow(5), usermod(8).